"FUCK FIGHTERS START FIRES"
A group started on 8ocorg after the firefighter forums incident mentioned in [[schoolbell-p4ymark]]. Believes in ritual arson. May have committed several rather high profile crimes. Nothing proven. 
In constant opposition to their nemesis group, [[POSTFIRE UTOPIA]].


